using Microsoft.VisualStudio.TestTools.UnitTesting;
using numbersystem;

namespace TestProject
{
    [TestClass]
    public class UnitTest
    {
        [TestMethod]
        public void TestMethod1()
        {
            MainWindow page = new MainWindow();

            string Exp, Res;

            //  
            // 2 
            // 1 
            Exp = "10010110";
            Res = page.TestNS(2, "1010 * 1111");
            Assert.AreEqual(Exp, Res);

            // 2 
            Exp = "11111111111111111111111111011111";
            Res = page.TestNS(2, "1010 + 111 - 10 * 11001");
            Assert.AreEqual(Exp, Res);

            // 3 
            Exp = "10";
            Res = page.TestNS(2, "111111 / 1011 % 11");
            Assert.AreEqual(Exp, Res);

            // 8 
            // 4 
            Exp = "325";
            Res = page.TestNS(8, "701 - 354");
            Assert.AreEqual(Exp, Res);

            // 5 
            Exp = "71705";
            Res = page.TestNS(8, "4663 - 123 + 7463 * 7");
            Assert.AreEqual(Exp, Res);

            // 6 
            Exp = "0";
            Res = page.TestNS(8, "102 % 2 / 30");
            Assert.AreEqual(Exp, Res);

            // 16 
            // 7 
            Exp = "7c3e";
            Res = page.TestNS(16, "ab * ba");
            Assert.AreEqual(Exp, Res);

            // 8 
            Exp = "1df1";
            Res = page.TestNS(16, "f12 + f13 - 34");
            Assert.AreEqual(Exp, Res);

            // 9 
            Exp = "0";
            Res = page.TestNS(16, "f % 2 / 5");
            Assert.AreEqual(Exp, Res);

            // 10 
            Exp = "";
            Res = page.TestNS(0, "10101 - 100");
            Assert.AreEqual(Exp, Res);
        }
    }
}